 
using BingoBrain.Asset;
using UnityEngine;

[CreateAssetMenu(menuName = "Create MyScriptableObject/AnimationCurveData")]
 
public sealed class AnimationCurveData : ScriptableObject
{
#if UNITY_EDITOR
    [UnityEditor.MenuItem("Test/CreateScriptableObject/AnimationCurveData")]
#endif
    public static void CreateScriptableObject()
    {
#if UNITY_EDITOR
        AnimationCurveData asset = ScriptableObject.CreateInstance<AnimationCurveData>();

        UnityEditor.AssetDatabase.CreateAsset(asset,
            "Assets/BingoBase/Data/ScriptableObjectData/AnimationCurveData.asset");
        UnityEditor.AssetDatabase.SaveAssets();

        UnityEditor.EditorUtility.FocusProjectWindow();
        UnityEditor.Selection.activeObject = asset;
#endif
    }

    private static AnimationCurveData instance;

    public static AnimationCurveData Instance
    {
        get
        {
            if (instance == null)
            {
                instance = BetKit.Instance.LoadAsset<AnimationCurveData>("Data.ScriptableObjectData",
                    "AnimationCurveData");
            }

            return instance;
        }
    }

    [Header("广告转盘的动画曲线")] public AnimationCurve LuckySpinAniCurve;
}